#version 430

layout (location=0) in vec4 vertPosition;

uniform mat4 M;
uniform mat4 P;

out vec2 TexCoords;

void main() {
	//Transform from local to world to camera to NDCs
	gl_Position = P * M * vec4(vertPosition.xy, 0.0f, 1.f);

	TexCoords = vertPosition.zw;
}